Subject: [os2genau_digest] No. 1395
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 2 Dec 2006 00:01:08 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 01 December 2006
 Number  1395
**************************************************

Subjects for today
 
1   Possible solution for new printers on OS/2 -eCS ? : Ed Durrant <edurrant at bigpond dot net dot au>
2   Single message queue ? : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  Single message queue ? : Dennis Nolan <djn at aanet dot com dot au>
4   Default program option : Peter Rehfisch" <gillpete at vic.australis dot com dot au>
5  Re:  Default program option : Wayne <datablitz at optusnet dot com dot au>
6  Re:  Default program option : Peter Rehfisch" <gillpete at vic.australis dot com dot au>
7  Re:  Default program option : Peter Moylan <peter at ozebelg dot org>
8  Re:  Default program option : Ed Durrant <edurrant at bigpond dot net dot au>
9  Re:  Default program option : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Fri, 01 Dec 2006 06:45:49 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:   Possible solution for new printers on OS/2 -eCS ?

Hi All,

   I attended a VMWare convention in Sydney yesterday - as well as the 
VMWare (Virtualisation) presentations there was also a small trade show 
from their sponsors / partners covering related topics.

   One that was of interest was ThinPrint who produce a product called 
..print - which in one form installs as a driver-less implementation on 
the client and prints (compressed) code across the network to a Citrix 
or Windows 2003 print server. The list in their current 2006 
documention, support for OS/2 and Win-OS2.

   If we could run W2k3 under virtualPC/2 (or SVista/2) - yes I know 
neither of these are supported any longer - but they work! This virtual 
system would only have access to the network within the PC, no external 
connectivity (ie virus and security protection). Have the proprietry 
printer driver for your new, non OS2 supported, printers installed there 
and then print from OS/2 or Win-OS2 to the printer via the Virtualised 
W2k3 session. To add more function, if the printer is only USB attached 
(and hence not visible in the virtual session as neither of the products 
listed have USB support), as a separate action the printer could be 
defined and shared out from OS/2 (or eComStation) using a Null printer 
driver, which could then be attached to from the W2k3 virtualised 
system. Of course if the printer has network or parrallel connectivity 
this step is not required.

  I know this sounds like a long way around to get to print however it 
would mean that any printer with a Windows 2003 driver (read all current 
models) should work. There is of course a processing overhead running 
the virtualised W2k3, so a cut down version would be preferred - perhaps 
this could work with Windows XP instead of Windows 2003 Server, however 
the commercial solution is targeted at businesses, so the server OS 
would be the norm. Also as systems get faster and more multi-cored, the 
overhead of running the Virtualised session becomes less.

Worth a look, I think - the website is:

http://www.thinprint dot com

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 01 Dec 2006 06:48:20 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:   Single message queue ?

Hi,

   Can anyone clarify if we still have the "single message queue" design 
problem, that means a rogue application can hang the complete system or 
was this "worked around" at some point ?

   Also if we do still have this, if we run the SMP code on a dual 
processor or dual core system, do we then have two message queues - one 
for each processor ??

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 01 Dec 2006 07:53:49 +1100
From:  Dennis Nolan <djn at aanet dot com dot au>
Subject:  Re:  Single message queue ?

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type">
</head>
<body bgcolor="#ffffff" text="#000000">
Ed<br>
<br>
Presentation Manager still uses a single message queue. That is why it
works so well provided that applications follow the rules and avoid
situations that could block the queue.<br>
<br>
There is a setting in the config.sys that puts a time limit on how long
the queue will sit around waiting for a response from the application.<br>
<br>
The system seems to use it's own queue as evidenced by the mouse
pointer and keyboard being active even though the application does
nothing with them.<br>
<br>
As for the second question, I seem to recall that with SMP, the
division is at the process level, not the thread level. This is
obviously because threads in the same process share memory whereas
processes are assigned their own memory. Therefore to take advantage of
SMP, application programmers need to design with a view of using
several processes.<br>
<br>
I hope this makes sense, it's been a while since I've needed to think
about it.<br>
<br>
<i><u><b>PS</b></u></i> &nbsp;&nbsp;&nbsp; On my Win XP laptop I had a faulty USB HDD.
It took XP 5 minutes or so to give up trying to get something from the
faulty drive. Not that I waited around for that long more than once.<br>
<br>
<br>
Regards<br>
<br>
Dennis.<br>
<br>
<br>
Ed Durrant wrote:
<blockquote cite="mid456F3584.1010405 at bigpond dot net dot au" type="cite">Hi,
  <br>
  <br>
&nbsp; Can anyone clarify if we still have the "single message queue" design
problem, that means a rogue application can hang the complete system or
was this "worked around" at some point ?
  <br>
  <br>
&nbsp; Also if we do still have this, if we run the SMP code on a dual
processor or dual core system, do we then have two message queues - one
for each processor ??
  <br>
  <br>
Cheers/2
  <br>
  <br>
Ed.
  <br>
----------------------------------------------------------------------------------
  <br>
To Subscribe/Unsubscribe go to <a class="moz-txt-link-freetext" href="http://www.os2site.com/list/">http://www.os2site.com/list/</a>
  <br>

  <br>
  <br>
  <br>
</blockquote>
</body>
</html>
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Fri, 01 Dec 2006 13:42:41 +1100
From:  "Peter Rehfisch" <gillpete at vic.australis dot com dot au>
Subject:   Default program option

I have installed an MP3 player, and it now appears as one of the options on the 'Open as' menu 
line, but it is not the default option, i.e. I want to be able to double-click on the icon and start 
the new MP3 player.

So how do I make it the default option ahead of the other options?
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 1 Dec 2006 14:07:23 +0930
From:  Wayne <datablitz at optusnet dot com dot au>
Subject:  Re:  Default program option

** Reply to note from "Peter Rehfisch"   
<gillpete at vic.australis dot com dot au> Fri, 01 Dec 2006 13:42:41 +1100 
>    
> I have installed an MP3 player, and it now appears as one of the 
> options on the 'Open as' menu  line, but it is not the default option, 
> i.e. I want to be able to double-click on the icon and start  the new 
> MP3 player. 
>    
> So how do I make it the default option ahead of the other options? 
 
Here is the method under Warp3, other OSes will vary slightly. 
 
Open the "Settings" (properties) notebook.  Choose "Menu" tab. Select   
"Open" in "Available menus".   Click top "Settings".  Select your MP3   
player in the "Default Action" drop-down-combo-list.  Click "Ok".    
Close the "Settings" notebook. 
 
HTH 
Wayne

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Fri, 01 Dec 2006 17:22:40 +1100
From:  "Peter Rehfisch" <gillpete at vic.australis dot com dot au>
Subject:  Re:  Default program option

Wayne wrote

>Open the "Settings" (properties) notebook.  Choose "Menu" tab. Select   
>"Open" in "Available menus".   Click top "Settings".  Select your MP3   
>player in the "Default Action" drop-down-combo-list.  Click "Ok".    
>Close the "Settings" notebook. 

Yes, this will do it for one file, but how do I change the default setting for all files 
system-wide?
----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Fri, 01 Dec 2006 17:58:57 +1100
From:  Peter Moylan <peter at ozebelg dot org>
Subject:  Re:  Default program option

Peter Rehfisch wrote:
> Wayne wrote
> 
>> Open the "Settings" (properties) notebook.  Choose "Menu" tab.
>> Select "Open" in "Available menus".   Click top "Settings".  Select
>> your MP3 player in the "Default Action" drop-down-combo-list.
>> Click "Ok". Close the "Settings" notebook.
> 
> Yes, this will do it for one file, but how do I change the default
> setting for all files system-wide?

The easiest method is to use Association Editor, which I think can be
found on Hobbes with a search string like "assoed". When you run it,
choose "Associations by file filter", go to the entry *.MP3 if it's
already there, or create a new entry *.MP3 if it's not there. Then make
your new MP3 player the default association for *.MP3.

You might still need to change it file-by-file for those files where
you've already fiddled with the Properties, but only if you're unlucky.
In any case, you'll get the right default for all new *.MP3 files.

It's just possible that you already have associations set by file types
rather than by file names. If so, assoed can also handle that case.

-- 
Peter Moylan                          peter at ozebelg dot org
                                       peter.moylan at optusnet dot com dot au
                                       http://www.pmoylan dot org

Please note the changed e-mail and web addresses.  The domain
eepjm.newcastle.edu.au no longer exists, and I can no longer
receive mail at my newcastle.edu.au addresses.  The optusnet
address could disappear at any time.
----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Fri, 01 Dec 2006 19:54:05 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Default program option

Peter Rehfisch wrote:
> I have installed an MP3 player, and it now appears as one of the options on the 'Open as' menu 
> line, but it is not the default option, i.e. I want to be able to double-click on the icon and start 
> the new MP3 player.
> 
> So how do I make it the default option ahead of the other options?

>  

> 
Download ASSOEDIT from hobbes.nmsu.edu and use it to set the default.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   9 ==========================**

Date:  Fri, 01 Dec 2006 20:24:25 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Default program option

On Fri, 01 Dec 2006 19:54:05 +1100, Ed Durrant wrote:

>Peter Rehfisch wrote:
>> I have installed an MP3 player, and it now appears as one of the options on the 'Open as' menu 
>> line, but it is not the default option, i.e. I want to be able to double-click on the icon and start 
>> the new MP3 player.
>> 
>> So how do I make it the default option ahead of the other options?
>
>>  
>
>> 
>Download ASSOEDIT from hobbes.nmsu.edu and use it to set the default.

Or locally from http://www.os2site dot com/sw/

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------